/* reset  */
* {
    margin: 0;
    padding: 0;
    font-family: 'montserrat', sans-serif;
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}


:root {
    --blue: #26A3B5;
    --black: #010101;
    --white: #ffffff;
    --gray: #222222;
    --lightgray: #f3f3f3;
    --red: #FF0200;
    font-size: 16px;
}

/* Buttons */
.wp-element-button {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px 50px;
    font-weight: 600;
    background: var(--blue);
    color: var(--white);
    border-radius: 8px;
    font-size: 1.6rem;
}

.secundary_button .wp-element-button {
    background: var(--gray);

}




.linktoproject {
    margin: 0 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px 50px;
    font-weight: 600;
    background: #26A3B5;
    color: var(--white);
    border-radius: 8px;
    font-size: 1.6rem;
}


/* Send Button Contacform */
.wpcf7-submit {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px 50px;
    font-weight: 600;
    background: #26A3B5;
    color: var(--white);
    border-radius: 8px;
    font-size: 1.6rem;
    width: 280px;
}

/* Headings Styling  */
h1 {
    font-size: 9rem;
    font-weight: 900;
    text-transform: uppercase;
    display: flex;
    justify-content: center;
    line-height: 120px;
    letter-spacing: -8px;
    cursor: default;
}




h2 {
    font-size: 4rem;
    color: var(--white);
    letter-spacing: -3px;
    font-weight: 800;
}

p {
    color: var(--white);
    font-size: 1.7rem;
}


/* Categories Styling  */


.wp-block-categories-list {
    display: flex;
    justify-content: center;

}

.wp-block-post-terms {
    display: flex;
    margin-top: 30px;
    align-items: center;

    & a {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        /* Neutral/White(50) */
        border: 1px solid #FFFFFF;
        border-radius: 8px;

        color: var(--white);
        text-decoration: none;
        font-weight: 600;
        text-transform: uppercase;
        padding: 12px;
        width: 130px;
        margin: 0 10px 30px 0;
    }





}

.cat-item {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 12px;

    margin: 0 10px 10px 0;

    border: 1px solid var(--white);
    border-radius: 8px;

    & a {
        color: var(--white);
        text-decoration: none;
        font-weight: 800;
        font-size: 1.5rem;
        text-transform: uppercase;
    }
}

.wp-block-latest-posts {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    margin: 50px auto;

    & a {
        justify-self: center;
        text-decoration: none;

        & li {
            background-color: var(--gray);
            border-radius: 15px;
            width: 500px;
            height: 560px;
            display: flex;
            flex-direction: column;


            & div.wp-block-latest-posts__featured-image {
                width: 500px;
                height: 300px;
                object-fit: cover;
                overflow: hidden;
                border-radius: 15px 15px 0 0;
                margin-bottom: 30px;
                display: grid;

                & a {

                    & img {


                        &:hover {
                            transform: scale(1.05);
                            transition: all 0.3s ease;

                        }
                    }

                }
            }
        }
    }
}



.wp-block-latest-posts__post-title {
    font-size: 3rem;
    color: var(--white);
    text-decoration: none;
    font-weight: 700;
    margin-left: 20px;
    order: 2;
    margin-bottom: 40px;
}

.wp-block-latest-posts__post-date {
    margin-left: 22px;
    color: var(--lightgray);
    font-size: 1.5rem;
    order: 1;
}

.linktoproject {
    order: 3;
}

/* Form Styling */
.no-button {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 60px 0;
    gap: 60px;
    max-height: 400px;

}

.wpcf7-text {
    width: 550px;
    height: 80px;
    background-color: transparent;
    border: 3px var(--white) solid;
    border-radius: 10px;
    color: #ffffff;
    max-height: 400px;


    &::placeholder {
        font-weight: 800;
        font-size: 2.6rem;

    }
}

input,
textarea {
    padding-left: 30px;
    padding-top: 16px;
    padding-bottom: 15px;
    font-size: 2rem;
    color: var(--white);
    font-weight: 800;
}

.wpcf7-not-valid {
    border: 3px solid var(--red) !important;
    outline: none;
}

textarea:focus {
    border: 3px solid var(--blue);
    outline: none;
}

input:focus {
    border: 3px solid var(--blue);
    outline: none;
}

.form-left {
    display: flex;
    flex-direction: column;
    gap: 40px;


}


.wpcf7-textarea {
    width: 550px;
    height: 320px;
    background-color: transparent;
    border: 3px var(--white) solid;
    border-radius: 10px;
    color: var(--white);

    &::placeholder {
        font-weight: 800;
        font-size: 2.6rem;

    }
}

/* Center Button Send */
.wpcf7-form p {
    display: flex;
    align-items: center;
    flex-direction: column;

}





@media screen and (max-width: 1650px) {

    .wp-block-latest-posts {
        grid-template-columns: 1fr 1fr;
        margin: 50px auto;
        row-gap: 50px;

        & a {

            & li {
                width: 420px;
                height: 560px;

                & div.wp-block-latest-posts__featured-image {
                    width: 420px;
                    margin-bottom: 20px;
                }
            }
        }
    }


}



@media screen and (max-width: 850px) {
    h1 {
        font-size: 8rem;
        justify-content: flex-start;
    }

    h2 {
        font-size: 3rem !important;
    }

    .wp-element-button {
        padding: 15px 40px;
        font-size: 1.4rem;
    }



    .wp-block-latest-posts {
        grid-template-columns: 1fr;
        margin: 50px auto;
        row-gap: 50px;

        & a {

            & li {
                width: 500px;

                & div.wp-block-latest-posts__featured-image {
                    width: 500px;
                }
            }
        }
    }

    .wp-block-categories-list {
        max-width: 500px;
        flex-wrap: wrap;
        margin: 0 auto;
    }

    .wp-block-buttons {
        justify-content: center;
    }


}

@media screen and (max-width: 520px) {
    h1 {
        font-size: 5.3rem;
        font-weight: 900;
        line-height: 70px;
        letter-spacing: -6px;

    }



    /* cover image */

    .wp-block-cover-image.has-custom-content-position.has-custom-content-position .wp-block-cover__inner-container,
    .wp-block-cover.has-custom-content-position.has-custom-content-position .wp-block-cover__inner-container {
        margin-top: 200px !important;
        padding-left: 0 !important;
    }

    .wp-block-cover {
        min-height: 0 !important;
        max-height: 800px;
        height: 700px;
    }


    /* Latest Posts */

    .wp-block-latest-posts {
        grid-template-columns: 1fr;
        row-gap: 50px;

        & a {
            font-size: 2.7rem;

            & li {
                width: 300px;
                height: 420px;

                & div.wp-block-latest-posts__featured-image {
                    width: 300px;
                    height: 200px;
                    margin-bottom: 10px;
                }
            }
        }
    }

    .linktoproject {
        padding: 10px 25px;
    }

    .wp-element-button {
        padding: 15px 25px;
        font-size: 1.3rem;
    }
}